Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • 02:15
    soimort-bot commented #2742
  • 02:15
    bittenApple opened #2742
  • Sep 14 09:23
    soimort commented #2741
  • Sep 14 08:41
    WorldMoZara closed #2741
  • Sep 14 08:39
    WorldMoZara commented #2741
  • Sep 14 08:37
    WorldMoZara commented #2741
  • Sep 14 08:25
    soimort commented #2741
  • Sep 13 02:32
  • Sep 13 02:29
    soimort-bot commented #2741
  • Sep 13 02:29
    WorldMoZara opened #2741
  • Sep 12 09:23
    soimort labeled #2739
  • Sep 12 09:10
    soimort commented #2739
  • Sep 12 09:07
    lxfly2000 commented #2737
  • Sep 12 08:53
    soimort commented #2739
  • Sep 12 08:53
    Travis soimort/you-get@ea33529 (youtube-190911) passed (2252)
  • Sep 12 08:48
  • Sep 12 00:03
  • Sep 12 00:00
    soimort-bot commented #2740
  • Sep 12 00:00
    lxfly2000 opened #2740
  • Sep 11 16:53
hz2018tv
@hz2018tv
好像不能用在14tv.com上。大神请指点。多谢
这个站不熟悉不知道怎么搜历史,如果违规请多包涵撒
github上好像没有开ISSUES
tea111
@tea1111980
?
waitsmart
@waitsmart
-o 设置存储路径,是需要每次下载都设置吗
Tobyzgj
@Tobyzgj
请问西瓜视频you-get最近下载出问题了嘛?
@reaCodes 修改一下youku.py的源码 更改下ccode码就OK了。
sahilsinha
@sahilsinha
how would one use you-get as a library in a python program? where I can call a function and give the cli arguments as function parameters.
sahilsinha
@sahilsinha
from you_get import ?
kikiyoki
@kikiyoki
Hi 我是小白. 想请教下怎么使用you-get下抖音视频? 是需要产生cookies吗? you-get 自带模拟器吗? 非常谢谢!!
jinjyox
@jinjyox
@tbfte --insecure请问这个怎么用啊,添加在哪个位置?
you-get https://www.youtube.com/watch?v=1tSDyLeUwJ4
you-get: [error] oops, something went wrong.
you-get: don't panic, c'est la vie. please try the following steps:
you-get: (1) Rule out any network problem.
you-get: (2) Make sure you-get is up-to-date.
you-get: (3) Check if the issue is already known, on
you-get: https://github.com/soimort/you-get/wiki/Known-Bugs
you-get: https://github.com/soimort/you-get/issues
you-get: (4) Run the command with '--debug' option,
you-get: and report this issue with the full output.
该类问题如何解决啊?求解!
danerlt
@danerlt
腾讯视频下载只能下载5分钟,这个问题有人遇到过吗
YE
@yinweiyouni
爱奇艺视频无法下载 求解决
xyuanmu
@xyuanmu
爱奇艺可以用ykdl
oldxing-老邢
@oldxing
you-get -i 'https://www.youtube.com/watch?v=Ti5fdLn-ZTg' --debug
[DEBUG] get_content: https://www.youtube.com/get_video_info?video_id=Ti5fdLn-ZTg&eurl=https%3A%2F%2Fy
[DEBUG] STATUS: ok
you-get: version 0.4.1314, a tiny downloader that scrapes the web.
you-get: Namespace(URL=['https://www.youtube.com/watch?v=Ti5fdLn-ZTg'], auto_rename=False, cookies=None, debug=True, extractor_proxy=None, force=False, format=None, help=False, http_proxy=None, info=True, input_file=None, insecure=False, itag=None, json=False, no_caption=False, no_merge=False, no_proxy=False, output_dir='.', output_filename=None, password=None, player=None, playlist=False, skip_existing_file_size_check=False, socks_proxy=None, stream=None, timeout=600, url=False, version=False)
Traceback (most recent call last):
File "/root/.pyenv/versions/3.6.2/bin/you-get", line 11, in <module>
sys.exit(main())
File "/root/.pyenv/versions/3.6.2/lib/python3.6/site-packages/you_get/main.py", line 92, in main
main(kwargs)
File "/root/.pyenv/versions/3.6.2/lib/python3.6/site-packages/you_get/common.py", line 1759, in main
script_main(any_download, any_download_playlist,
kwargs)
File "/root/.pyenv/versions/3.6.2/lib/python3.6/site-packages/you_get/common.py", line 1647, in script_main
extra
File "/root/.pyenv/versions/3.6.2/lib/python3.6/site-packages/you_get/common.py", line 1303, in download_main
download(url,
kwargs)
File "/root/.pyenv/versions/3.6.2/lib/python3.6/site-packages/you_get/common.py", line 1750, in any_download
m.download(url, kwargs)
File "/root/.pyenv/versions/3.6.2/lib/python3.6/site-packages/you_get/extractor.py", line 48, in download_by_url
self.prepare(
kwargs)
File "/root/.pyenv/versions/3.6.2/lib/python3.6/site-packages/you_get/extractors/youtube.py", line 210, in prepare
self.title = parse.unquote_plus(video_info['title'][0])
KeyError: 'title'
you-get error report.
ssc19940105
@ssc19940105
ctrl + c不起作用
Luigi Baldoni
@luigino
Hello.
I need to automate the upgrade of this package, is there a place where to get the latest version number without scraping html or parsing atom?
Angelique8023
@Angelique8023
image.png
Hi, I recently encountered the issues above, could anyone tell me how to solve it?
hi,download is success,but merge the parts failed.
raise NotImplementedError('%s: %d' % (type, left))
NotImplementedError: b'\x05\x00\x00\x00': 1179407865
alt
IPSE
@IPSE-TEAM
find the problem,the OS should install ffmpeg
sudo apt-get install ffmpeg
Angelique8023
@Angelique8023

image.png

ohhhh anyone can solve that?plzzzzz

themysciraa
@themysciraa

Help, I have no problem downloading from youku but I'm unsuccessful with tudou.

Example:
you-get https://video.tudou.com/v/XMTg3NjA4NDUxMg
you-get: [error] oops, something went wrong.
you-get: don't panic, c'est la vie. please try the following steps:
you-get: (1) Rule out any network problem.
you-get: (2) Make sure you-get is up-to-date.
you-get: (3) Check if the issue is already known, on
you-get: https://github.com/soimort/you-get/wiki/Known-Bugs
you-get: https://github.com/soimort/you-get/issues
you-get: (4) Run the command with '--debug' option,
you-get: and report this issue with the full output.

Angelique8023
@Angelique8023
@themysciraa same issue :( plz let me know if you got the solution.
lostever
@lostever
why download cant stop ?
i download a 123mb file .but it is still downloading when 440mb have downloaded.

you-get -o /storage/emulated/0 https://m.youtube.com/watch\?v\=QHe3-hF-Rdk
site: YouTube
title: Linux : How To Fix Error : Unknown Filesystem Entering Rescue Mode... Grub Rescue!!
stream:

- itag:          137
  container:     mp4
  quality:       1920x1080 (1080p)
  size:          123.7 MiB (129758132 bytes)
# download-with: you-get --itag=137 [URL]

Downloading Linux : How To Fix Error : Unknown Filesystem Entering Rescue Mode... Grub Rescu.mp4 ...
100% (446.7/123.7MB) ├███████████████┤[1/2] 838 kB/s

why is that?
Mort Yao
@soimort
@lostever There is a known issue with some proxies that fail to forward the headers correctly. you-get can't determine where to stop without the right content-length.
Try direct connection or switch to another proxy may help resolve the issue.
themysciraa
@themysciraa
@Angelique8023 I don't have a solution either... hope someone can help us ><
lostever
@lostever
@soimort OK,thanks.
Ying
@yxd0018
I get error trying to download a simple one.

λ pip3 install you-get
Requirement already satisfied: you-get in c:\programdata\anaconda3\lib\site-packages (0.4.1328)
WARNING: You are using pip version 19.2.2, however version 19.2.3 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' command.

D:\temp\download
λ you-get --debug 'https://www.youtube.com/watch?v=jNQXAC9IVRw'
[DEBUG] get_location: http://'https://www.youtube.com/watch?v=jNQXAC9IVRw'
[DEBUG] get_location: http://'https://www.youtube.com/watch?v=jNQXAC9IVRw'
you-get: version 0.4.1328, a tiny downloader that scrapes the web.
you-get: Namespace(URL=["'https://www.youtube.com/watch?v=jNQXAC9IVRw'"], auto_rename=False, cookies=None
debug=True, extractor_proxy=None, force=False, format=None, help=False, http_proxy=None, info=False, inp
t_file=None, insecure=False, itag=None, json=False, no_caption=False, no_merge=False, no_proxy=False, out
ut_dir='.', output_filename=None, password=None, player=None, playlist=False, skip_existing_file_size_che
k=False, socks_proxy=None, stream=None, timeout=600, url=False, version=False)
Traceback (most recent call last):
File "c:\programdata\anaconda3\lib\urllib\request.py", line 1317, in do_open
encode_chunked=req.has_header('Transfer-encoding'))
File "c:\programdata\anaconda3\lib\http\client.py", line 1229, in request
self._send_request(method, url, body, headers, encode_chunked)
File "c:\programdata\anaconda3\lib\http\client.py", line 1275, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "c:\programdata\anaconda3\lib\http\client.py", line 1224, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "c:\programdata\anaconda3\lib\http\client.py", line 1016, in _send_output
self.send(msg)
File "c:\programdata\anaconda3\lib\http\client.py", line 956, in send
self.connect()
File "c:\programdata\anaconda3\lib\http\client.py", line 928, in connect
(self.host,self.port), self.timeout, self.source_address)
File "c:\programdata\anaconda3\lib\socket.py", line 707, in create_connection
for res in getaddrinfo(host, port, 0, SOCK_STREAM):
File "c:\programdata\anaconda3\lib\socket.py", line 748, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "c:\programdata\anaconda3\lib\site-packages\you_get\common.py", line 1738, in url_to_module
location = get_location(url) # t.co isn't happy with fake_headers
File "c:\programdata\anaconda3\lib\site-packages\you_get\common.py", line 389, in get_location
res = urlopen_with_retry(req)
File "c:\programdata\anaconda3\lib\site-packages\you_get\common.py", line 404, in urlopen_with_retry
return request.urlopen(args, **kwargs)
File "c:\programdata\anaconda3\lib\urllib\request.py", line 222, in urlopen
return opener.open(url, data, timeout)
File "c:\programdata\anaconda3\lib\urllib\request.py", line 525, in open
response = self._open(req, data)
File "c:\programdata\anaconda3\lib\urllib\request.py", line 543, in _open
'_open', req)
File "c:\programdata\anaconda3\lib\urllib\request.py", line 503, in _call_chain
result = func(
args)
File "c:\programdata\anaconda3\lib\urllib\request.py", line 1345, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "c:\programdata\anaconda3\lib\urllib\request.py", line 1319, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error [Errno 11001] getaddrinfo failed>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "c:\programdata\anaconda3\lib\runpy.py", line 193, in _run_module_as_main
"main", mod_spec)
File "c:\programdata\anaconda3\lib\runpy.py", line 85, in _run_code
exec(code, run_globals)
File "c:\ProgramData\Anaconda3\Scripts\you-get.exe__main.py", line 9, in <module>
File "c:\programdata\anaconda3\lib\site-packages\you_get\
main__.py", line 92, in main
main(kwargs)
File "c:\programdata\anaconda3\lib\site-packages\you_get\common.py", line 1759, in main
script_main(any_download, any_download_playlist,
kwargs)
File "c:\programdata\anaconda3\lib\site-packages\you_get\common.py", line 1647, in script_main
extra
File "c:\programdata\anaconda3\lib\site-packages\you_get\common.py", line 1303, in download_main
download(url,
kwargs)
File "c:\programdata\anaconda3\lib\site-packages\you_get\common.py", line 1749, in any_download
m, url = url_to_module(url)
File "c:\programdata\anaconda3\lib\site-packages\you_get\common.py", line 1740, in url_to_module
location = get_location(url, headers=fake_headers)
File "c:\programdata\anaconda3\lib\site-packages\you_get\common.py", line 389, in get_location
res = urlopen_with_retry(req)
File "c:\programdata\anaconda3\lib\site-packages\you_get\common.py", line 404, in urlopen_with_retry
return request.urlopen(args, **kwargs)
File "c:\programdata\anaconda3\lib\urllib\request.py", line 222, in urlopen
return opener.open(url, data, timeout)
File "c:\programdata\anaconda3\lib\urllib\request.py", line 525, in open
response = self._open(req, data)
File "c:\programdata\anaconda3\lib\urllib\request.py", line 543, in _open
'_open', req)
File "c:\programdata\anaconda3\lib\urllib\request.py", line 503, in _call_chain
result = func(
args)
File "c:\programdata\anaconda3\lib\urllib\request.py", line 1345, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "c:\programdata\anaconda3\lib\urllib\request.py", line 1319, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error [Errno 11001] getaddrinfo failed>

100288840
@100288840
那个,有人吗?
Anybody here?
由于连接方在一段时间后没 有正确答复或连接的主机没有反应,连接尝试失败。
这是什么情况?
vanehsd
@vanehsd
[AVBSFContext @ 000000000367ab00] Codec 'eac3' (86056) is not supported by the b
itstream filter 'aac_adtstoasc'. Supported codecs are: aac (86018)
Error initializing bitstream filter: aac_adtstoasc
反馈一个bug:aiqiyi某些视频有用E-AC3格式的音频
vanehsd
@vanehsd
you-get调用ffmpeg紧限于aac_adtstoasc,没有调用支持其他音频格式的其他解码器,出现问题